Bug 477350 - Fails to enter standy when ZD1211RW module is loaded
Fails to enter standy when ZD1211RW module is loaded
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-20 16:13 EST by bitdisturber
Modified: 2009-12-18 02:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:21:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bitdisturber 2008-12-20 16:13:01 EST
Description of problem:
Fedora 10 will fail to enter standby mode. It will get to the "suspending console" text screen and stay there for ever...


Version-Release number of selected component (if applicable):
pm-utils-1.2.2.1-2.fc10.i386

How reproducible:
Easy. Just  and induce standy by running 'pm-suspend' as root.

Steps to Reproduce:
1.plug in a ZD1211 based USB dongle and make sure it gets the proper modules (zd1211rw, mac80211 and cfg80211) loaded.
2.run 'pm-suspend' as root
3.
  
Actual results:
waits at text console with "suspending console..." without entering standy.

Expected results:
Enter standby (spin down disk and blank LCD)

Additional info:
The wireless USB dongle is a AirLink (model: AWLL3026)

lsusb: 
Bus 001 Device 002: ID 0ace:1211 ZyDAS 802.11b/g USB2 WiFi
Comment 1 bitdisturber 2008-12-20 16:19:38 EST
workaround:

I tried rmmod'ing all unecessary modules and narrowed it down to the zd1211rw module. Once removed, the pm-suspend command would succeed.

As suggested by the excellent HAL quirks pages (http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-advanced.html), 
I was able to create a /etc/pm/config.d/unload_modules file containing:
SUSPEND_MODULES="cfg80211 mac80211 zd1211rw"

Which unloaded these modules before standby which works.

Now, my question is weither it's possible to have the distrubution do this permanently or detect such cases? 
I don't mind doing that small change myself but It would be useful if this would be done for the less linux-savvy users out there.

Thanks and keep up the excellent work.
Comment 2 Till Maas 2008-12-20 18:30:08 EST
(In reply to comment #1)

> Now, my question is weither it's possible to have the distrubution do this
> permanently or detect such cases? 
> I don't mind doing that small change myself but It would be useful if this
> would be done for the less linux-savvy users out there.

It is preferred to make the kernel modules not fail instead, therefore I reassign this to the kernel component. There the experts can probably fix this. :-)
Comment 3 Bug Zapper 2009-11-18 05:31:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:21:10 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.